
QGIS Application - Bug report #6293

evis not able to load MS access database table

2012-08-31 08:51 AM - Andre Joost

Status: Closed

Priority: Severe/Regression

Assignee: ersts-amnh-org -

Category: C++ Plugins

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 15591

Description

I tried to connect to a MSAccess database table via evis. The database table has fields E and N with coordinates for points.

Qgis 1.7.4 connects and loads correctly, but re-opening a saved project leads to "defect layers" dialogue.

Qgis 1.8.0 does the same, but crashes on re-opening the project.

Qgis master crashes at loading the database. The form for choosing x and y data fields is the last I get.

Related issues:

Duplicates QGIS Application - Bug report # 6119: EVIS:  invalid layer in project Closed 2012-07-30

History

#1 - 2012-09-01 07:34 AM - Giovanni Manghi

- Target version set to Version 2.0.0

- Category set to C++ Plugins

- Assignee set to ersts-amnh-org -

- Priority changed from Normal to Severe/Regression

tagging as blocker as in 1.7.4 didn't crashed the program, so id indeed a regression.

#2 - 2012-09-01 10:58 AM - Andre Joost

After a fresh install, it works in Master, but 1.8.0 still crashes on reopening (possibly known defect of "defect layers" handling).

But it would be good to get re-opening of projects working. In the qgs file, only the path to a temporary database is given. Database path and SQL query

string are not stored.

#3 - 2012-09-01 11:17 AM - Jürgen Fischer

what temporary database?  A delimited text file that doesn't exist anymore?  Then this might be a duplicate of #5832 and/or #6119.

#4 - 2012-09-03 02:35 AM - Andre Joost

Yes, it is a delimited text file, which gets deleted after closing the program. If I save it before closing, and restore it to the temp folder, the project reopens.

Strangely enough, that file will not be deleted on closing the project anymore...

But that would not be a live connection to the database anymore. Storing the database connection parameters would be better (like for spatialite

databases).

In Qgis 1.8.0, you get the crash because of bug #5832 / #5809, now fixed in master.
#5 - 2012-09-03 02:44 AM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Open to Closed
